Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class SettingsFactory

    java.lang.Object
      org.hibernate.cfg.SettingsFactory

All Implemented Interfaces:
  Serializable

    public class SettingsFactory

extends Object
implements Serializable

Reads configuration properties and configures a `Settings` instance.

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary
`static String` | `DEF_CACHE_PROVIDER`

Constructor Summary
`protected` | `SettingsFactory()`

Method Summary
`protected BytecodeProvider` | `buildBytecodeProvider(String providerName)`
`Settings` | `buildSettings(Properties props)`
`protected BatcherFactory` | `createBatcherFactory(Properties properties, int batchSize)`
`protected CacheProvider` | `createCacheProvider(Properties properties)`
`protected ConnectionProvider` | `createConnectionProvider(Properties properties)`
`protected QueryCacheFactory` | `createQueryCacheFactory(Properties properties)`
`protected QueryTranslatorFactory` | `createQueryTranslatorFactory(Properties properties)`
`protected TransactionFactory` | `createTransactionFactory(Properties properties)`
`protected TransactionManagerLookup` | `createTransactionManagerLookup(Properties properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEF_CACHE_PROVIDER

    public static final String DEF_CACHE_PROVIDER

Constructor Detail

### SettingsFactory

    protected SettingsFactory()
                       throws HibernateException

Throws:
  `HibernateException`

Method Detail

### buildSettings

    public Settings buildSettings(Properties props)

### buildBytecodeProvider

    protected BytecodeProvider buildBytecodeProvider(String providerName)

### createQueryCacheFactory

    protected QueryCacheFactory createQueryCacheFactory(Properties properties)

### createCacheProvider

    protected CacheProvider createCacheProvider(Properties properties)

### createQueryTranslatorFactory

    protected QueryTranslatorFactory createQueryTranslatorFactory(Properties properties)

### createBatcherFactory

    protected BatcherFactory createBatcherFactory(Properties properties,
                                                  int batchSize)

### createConnectionProvider

    protected ConnectionProvider createConnectionProvider(Properties properties)

### createTransactionFactory

    protected TransactionFactory createTransactionFactory(Properties properties)

### createTransactionManagerLookup

    protected TransactionManagerLookup createTransactionManagerLookup(Properties properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD